package kz.arta.synergy.workflow.mobile.android.works.models;

/**
 * Created by neox on 08.07.14.
 * Фильтр в потоах работ
 */
public class FilterWorkItem {

    /**
     * Имя фильтра
     */
    private String name;

    /**
     * objectID фильтра
     */
    private String objectID;

    /**
     * Имеет ли фильтр дочерние
     */
    private String hasChildren;

    /**
     * UUID фильтра
     */
    private String filterID;

    /**
     * Тип фильтра
     */
    private String filterType;

    /**
     * Счетчики
     */
    private Counters counters;

    /**
     * Уровень вложенности
     */
    private int level;

    public Counters getCounters() {
        return counters;
    }

    public void setCounters(Counters counters) {
        this.counters = counters;
    }

    public int getLevel() {
        return level;
    }

    public void setLevel(int level) {
        this.level = level;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getObjectID() {
        return objectID;
    }

    public void setObjectID(String objectID) {
        this.objectID = objectID;
    }

    public String getHasChildren() {
        return hasChildren;
    }

    public void setHasChildren(String hasChildren) {
        this.hasChildren = hasChildren;
    }

    public String getFilterID() {
        return filterID;
    }

    public void setFilterID(String filterID) {
        this.filterID = filterID;
    }

    public String getFilterType() {
        return filterType;
    }

    public void setFilterType(String filterType) {
        this.filterType = filterType;
    }
}